package thyyxxk.webserver.constants;

import lombok.Getter;

/**
 * websocket 消息
 */
@Getter
public enum Message {

    /**
     * 刷新 token
     */
    REFRESH_TOKEN("refreshToken"),
    MED_INS_FEE_UPLOAD_PROGRESS("medInsFeeUploadProgress"),
    /**
     * 进度条消息
     */
    JDT_MESSAGE("jdtMessage"),
    /**
     * 系统消息
     */
    SYSTEM_NOTIFICATION("systemNotification"),
    SERVER_UPDATE_MESSAGE("serverUpdateMessage"),
    SYSTEM_ANNOUNCEMENT("systemAnnouncement"),
    SCROLLING_MESSAGES("scrollingMessages"),
    UPDATED_ORDER("updatedOrder"),
    AVATAR_NOTIFICATION("avatarNotification"),
    /**
     * 患者危急值
     */
    critical_value("criticalValue"),
    EMR_RULE("emrRule"),
    CHECK_THE_CALLBACKS("checkTheCallbacks"),

    backgroundTask("backgroundTask");

    private final String name;


    Message(String name) {
        this.name = name;
    }

}
